<?php

/**
 * Configuration parameters for simpleSAMLphp. All required configuration will
 * be dervied from values set here. No other configuration files need to be
 * modified.
 */

// Primary Domain - If a site has a primary domain set that isn't the default ENV-SITE.pantheon.io, it must be set here to avoid redirect loops.
$primaryDomain = null;

// Pantheon site name
$siteName = 'wcm-default';

// Init baseURL as Pantheon default URL format.
$proto = 'https';
$envPrefix = $_ENV['PANTHEON_ENVIRONMENT'];
$hostSuffix = 'pantheonsite.io';
$baseURL = $proto . '://' . $envPrefix . '-' . $siteName . '.' . $hostSuffix;

// Use the primary domain for the live environment.
if ($envPrefix === 'live' && !is_null($primaryDomain)) {
  $baseURL = $primaryDomain;
}

// Set the path to the project root.
$siteFilePath = '/';

// Get server vars.
$ps = json_decode($_SERVER['PRESSFLOW_SETTINGS'], TRUE);

// Parameters array.
$saml_parameters = array(

  // site specific --- --- ---
  'entityId'          => 'ENTITY_ID',
  'cronKey'           => 'CRON_KEY',
  'secretSalt'        => 'SECRET_SALT',
  
  // team/maintainer --- --- ---
  'contactName'       => 'Contact Name',
  'contactEmail'      => 'contact@email.com',
  'adminPassword'     => 'adminpassword',
  
  // identity provider  --- --- ---
  'idp'               => 'urn:mace:incommon:osu.edu',
  'metadataURL'       => 'https://webauth.service.ohio-state.edu/OSU-idp-metadata.xml',

  // Database credentials --- --- --- .
  'db'                => $ps['databases']['default']['default'],

  // Paths --- --- --- .
  'tempDir'           => $siteFilePath . 'files/private/simplesamlphp/tmp/',
  'metadataDir'       => $siteFilePath . 'files/private/simplesamlphp/metadata/',
  'certDir'           => $siteFilePath . 'files/private/simplesamlphp/certs/',
  'logDir'            => $siteFilePath . 'files/private/simplesamlphp/log/',
  'dataDir'           => $siteFilePath . 'files/private/simplesamlphp/data/',

  // Options --- --- --- .
  'signRequests'      => FALSE,
  'production'        => TRUE,  // simplesamlphp production mode setting

  // URLs --- --- --- .
  'baseURLPath'       => $baseURL . '/simplesaml/',
  'cronModuleURLPath' => $baseURL . '/simplesaml/module.php/cron/run/hourly/',
  'primaryDomain'     => $primaryDomain,
);
